
From: David Brownell <david-b@pacbell.net>

I got tired of not seeing the boot time penguin on my Shuttle SN41G2, and
not having a decently large text display when I bypass X11.  XFree86 says
it's "Chipset GeForce4 MX Integrated GPU", and the kernel driver has hooks
for this chip ID although it doesn't have a #define to match.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/riva/fbdev.c |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/video/riva/fbdev.c~fbdev-rivafb-should-recognize-nf2-igp drivers/video/riva/fbdev.c
--- 25/drivers/video/riva/fbdev.c~fbdev-rivafb-should-recognize-nf2-igp	2005-01-05 16:01:06.162614512 -0800
+++ 25-akpm/drivers/video/riva/fbdev.c	2005-01-05 16:01:06.167613752 -0800
@@ -152,6 +152,9 @@ static struct pci_device_id rivafb_pci_t
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0 },
 	{ PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_GEFORCE4_MX_440,
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0 },
+	// NF2/IGP version, GeForce 4 MX, NV18
+	{ PCI_VENDOR_ID_NVIDIA, 0x01f0,
+	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0 },
 	{ PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_GEFORCE4_MX_420,
 	  PCI_ANY_ID, PCI_ANY_ID, 0, 0, 0 },
 	{ PCI_VENDOR_ID_NVIDIA, PCI_DEVICE_ID_NVIDIA_GEFORCE4_440_GO,
_
